## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class MutableElement

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.cooccurrence.MutableElement

All Implemented Interfaces:
  Vector.Element

    public class MutableElement

extends Object
implements Vector.Element

Method Summary
`double` `get()`
`int` `index()`
`void` `set(double value)`
`void` `setIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public double get()

  Specified by:
    `get` in interface `Vector.Element`

### index

    public int index()

  Specified by:
    `index` in interface `Vector.Element`

### setIndex

    public void setIndex(int index)

### set

    public void set(double value)

  Specified by:
    `set` in interface `Vector.Element`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.